package cn.com.countrygarden.bi.main.service.reportCityData;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.reportCityData.CcdrDto;
import cn.com.countrygarden.bi.main.model.AccessToken;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface CityCompanyDataService {

    Object queryData(CcdrDto ccdrDto);

    Result getData(Integer ccdrId);

    Result updateData(CcdrDto ccdrDto, AccessToken token);
    //Result updateData(CcdrDto ccdrDto);

    Result deleteData(Integer ccdrId);

    Result addData(CcdrDto ccdrDto, AccessToken token);

    Map<String,Integer> getTheMaxSize(List<CcdrDto> list);

    List<CcdrDto> getDataList(CcdrDto ccdrDto);

    Map<String,Object> importExcelForCompanyData(MultipartFile excelFile, AccessToken token) throws IOException;

    Result deleteCcsr(Long ccsrId);

    Result deleteCcsj(Long ccsjId);

    Result deleteCcl(Long cclId);

    Result deleteCcuf(Long fileId);
}
